Back to build
Raw log | Switch to full mode | Login

/=================================================================================================================================================\ | analyzer-asserts-mac:co19_2/LanguageFeatures/Constant-update-2018/NewOperators_A01_t07/none is new and failed (CompileTimeError, expected Pass) | \=================================================================================================================================================/ --- Command "dart2analyzer" (took 107ms): DART_CONFIGURATION=ReleaseX64 xcodebuild/ReleaseX64/dart-sdk/bin/dartanalyzer --enable-experiment=constant-update-2018,triple-shift --ignore-unrecognized-flags --packages=/b/s/w/ir/cache/builder/sdk/.packages --format=machine --no-hints /b/s/w/ir/cache/builder/sdk/xcodebuild/ReleaseX64/generated_tests/co19_2/LanguageFeatures/Constant-update-2018/NewOperators_A01_t07_none.dart exit code: 1 stderr: ERROR|STATIC_TYPE_WARNING|UNDEFINED_OPERATOR|/b/s/w/ir/cache/builder/sdk/xcodebuild/ReleaseX64/generated_tests/co19_2/LanguageFeatures/Constant-update-2018/NewOperators_A01_t07_none.dart|29|19|3|The operator '>>>' isn't defined for the class 'int'. ERROR|STATIC_TYPE_WARNING|UNDEFINED_OPERATOR|/b/s/w/ir/cache/builder/sdk/xcodebuild/ReleaseX64/generated_tests/co19_2/LanguageFeatures/Constant-update-2018/NewOperators_A01_t07_none.dart|27|17|3|The operator '>>>' isn't defined for the class 'int'. ERROR|STATIC_TYPE_WARNING|UNDEFINED_OPERATOR|/b/s/w/ir/cache/builder/sdk/xcodebuild/ReleaseX64/generated_tests/co19_2/LanguageFeatures/Constant-update-2018/NewOperators_A01_t07_none.dart|30|16|3|The operator '>>>' isn't defined for the class 'int'. ERROR|STATIC_TYPE_WARNING|UNDEFINED_OPERATOR|/b/s/w/ir/cache/builder/sdk/xcodebuild/ReleaseX64/generated_tests/co19_2/LanguageFeatures/Constant-update-2018/NewOperators_A01_t07_none.dart|28|20|3|The operator '>>>' isn't defined for the class 'int'. --- Re-run this test: python tools/test.py -n analyzer-asserts-mac co19_2/LanguageFeatures/Constant-update-2018/NewOperators_A01_t07/none /=============================================================================================================================================\ | analyzer-asserts-mac:co19_2/LanguageFeatures/Spread-collections/ConstSpreads_A09_t09/04 is new and failed (Pass, expected CompileTimeError) | \=============================================================================================================================================/ --- Command "dart2analyzer" (took 9ms): DART_CONFIGURATION=ReleaseX64 xcodebuild/ReleaseX64/dart-sdk/bin/dartanalyzer --enable-experiment=spread-collections,constant-update-2018 --ignore-unrecognized-flags --packages=/b/s/w/ir/cache/builder/sdk/.packages --format=machine --no-hints /b/s/w/ir/cache/builder/sdk/xcodebuild/ReleaseX64/generated_tests/co19_2/LanguageFeatures/Spread-collections/ConstSpreads_A09_t09_04.dart exit code: 0 stderr: WARNING: Flag "spread-collections" is no longer required. --- Re-run this test: python tools/test.py -n analyzer-asserts-mac co19_2/LanguageFeatures/Spread-collections/ConstSpreads_A09_t09/04 /=============================================================================================================================================\ | analyzer-asserts-mac:co19_2/LanguageFeatures/Spread-collections/ConstSpreads_A10_t09/04 is new and failed (Pass, expected CompileTimeError) | \=============================================================================================================================================/ --- Command "dart2analyzer" (took 8ms): DART_CONFIGURATION=ReleaseX64 xcodebuild/ReleaseX64/dart-sdk/bin/dartanalyzer --enable-experiment=spread-collections,constant-update-2018 --ignore-unrecognized-flags --packages=/b/s/w/ir/cache/builder/sdk/.packages --format=machine --no-hints /b/s/w/ir/cache/builder/sdk/xcodebuild/ReleaseX64/generated_tests/co19_2/LanguageFeatures/Spread-collections/ConstSpreads_A10_t09_04.dart exit code: 0 stderr: WARNING: Flag "spread-collections" is no longer required. --- Re-run this test: python tools/test.py -n analyzer-asserts-mac co19_2/LanguageFeatures/Spread-collections/ConstSpreads_A10_t09/04